package com.jzlife.report.constant;

public interface RedisConstant {

	String TOKEN_PREFIX = "token_%s";
	String ROLE_PREFIX = "role_%s";

	//移动端专用token和role
	String TOKEN_MOBILE_PREFIX = "token_mobile_%s";
	String ROLE_MOBILE_PREFIX = "role_mobile_%s";//用来存TOKEN_MOBILE_PREFIX的key
	Integer EXPIRE_MOBILE = 5;//15

	// 有效token为1天
	Integer EXPIRE = 1;

	String PAY_PREFIX = "pay_%s";

	// 外部接口密钥
	String PLATE_APPID_PREFIX = "PLATE_APPID";
	Long PLATE_APPID_EXPIRE = Long.valueOf("365");// 365天密钥保存
	
	//外部回调地址
	String CALLTYPE_AMOUNT_INCOME="amount_income";//收款
	String CALLTYPE_AMOUNT_RETURN="amount_return";//退款
	
	String PLATE_CALLBACK_URL = "PLATE_CALLBACK_URL";//回调地址
	Long PLATE_CALLBACK_URL_EXPIRE = Long.valueOf("365");// 365天
	
	String PLATE_SOURCE = "PLATE_SOURCE";//所有来源
	Long PLATE_SOURCE_EXPIRE = Long.valueOf("365");// 365天
	
	//回调失败记录
	String PLATE_CALLBACK_FAIL="PLATE_CALLBACK_FAIL";
//	Long PLATE_CALLBACK_FAIL_EXPIRE = Long.valueOf("2");// 保留2小时
}