package com.jzlife.report.dao.hmorder;

import org.apache.ibatis.annotations.Param;

/**
 * 一些统计sql
 * 
 * @author 36952
 *
 */
public interface EtlViewsSalesMapper {
	// 退款金额
	Double getSumRefund(@Param("yearMonth") String yearMonth);

	// 复购金额
	Double getRecommendFee(@Param("yearMonth") String yearMonth);

	// 已签约线索
	Integer getClueIsSign(@Param("startTime") String startTime, @Param("endTime") String endTime);

	
	// ----------------------------etl_views_sales--------------------------------------------------------
	// 销售gmv --月
	Double salesGmvqushiMonth(@Param("cityName") String cityName, @Param("buType") String buType,
			@Param("month") String month);

	// 销售gmv --日
	Double salesGmvqushiDay(@Param("cityName") String cityName, @Param("buType") String buType,
			@Param("date") String date);

	// 销售单量 月
	Double salesGmvdanliangMonth(@Param("cityName") String cityName, @Param("buType") String buType,
			@Param("date") String date);

	// 销售单量 日
	Double salesGmvdanliangDay(@Param("cityName") String cityName, @Param("buType") String buType,
			@Param("date") String date);
	
	//ETL_sales_order
	//从来没买过保洁，品类；且在当月买了一次保洁或品类的人   做分子   payTime:2020-06-01  buType日保，品类
	Double countNewCustomer(@Param("payTime") String payTime, @Param("buType") String buType);
	
	//当月购买日保明细，如果调用customer_id需要distinct  做分母
	Double countByCustomer(@Param("payTime") String payTime, @Param("buType") String buType);

}
