package com.jzlife.report.dao.manager;

import com.jzlife.report.vo.DayReportBaseVo;
import com.jzlife.report.vo.InvestmentAndResignVo;

import java.util.List;
import java.util.Map;

public interface TempInvestInfoMapper {


    List<Map<String, Object>> dayInvestMentDetail(DayReportBaseVo vo);

    Map<String, Object> selectByCityOrStation(InvestmentAndResignVo vo);

    /**
     * 各渠道 入职情况 按自然排序
     *
     * @param vo
     * @return
     */
    Map<String, Object> selectAllSourceSignInfoByCityOrStation(InvestmentAndResignVo vo);

    /**
     * 各渠道 未跟单 情况 自然排序
     *
     * @param vo
     * @return
     */
    Map<String, Long> selectAllSourceNoTrainInfoByCityOrStation(InvestmentAndResignVo vo);

    /**
     * 获取 给定开始间的城市&服务站在职人数
     *
     * @param vo
     * @return
     */
    Map<String, Long> getWorkingCountByStartTimeAndCityOrStation(InvestmentAndResignVo vo);
}
