package com.jzlife.report.dao.reports;

import com.jzlife.report.dto.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SPMapper {
    /**
     * 从crm拉取基础表
     */
   void sp_etl_from_crm();


   //服务者服务散单完成后的7天内，客户复购周期卡情况
   List<ReportServiceRebuy> reportServiceRebuy(@Param("startTime") String startTime,@Param("endTime") String endTime,@Param("city") String city,@Param("station") String station,@Param("mobile") String mobile,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);

   //服务单次卡后7天 复购明细
    List<ReportServiceRebuy> reportServiceRebuyDetail(@Param("startTime") String startTime,@Param("endTime") String endTime,@Param("city") String city,@Param("station") String station,@Param("mobile") String mobile,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);

    //服务品类卡后7天 复购明细
    List<ReportServiceRebuy> reportServiceRebuyPLDetail(@Param("startTime") String startTime,@Param("endTime") String endTime,@Param("city") String city,@Param("station") String station,@Param("mobile") String mobile,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);

    //服务品类卡后7天 复购明细
    List<ReportOldCustomerRebuyDetail> reportServiceOldCustomerRebuyDetail(@Param("startTime") String startTime,@Param("endTime") String endTime, @Param("city") String city,@Param("mobile") String mobile, @Param("pageIndex") Integer pageIndex, @Param("pageSize") Integer pageSize);

    //散单服务明细
    List<ReportNewCustomerTradeDetail> serviceNewCustomerTradeDetail(@Param("date") String month,@Param("city") String city,@Param("type") String type,@Param("mobile") String mobile,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);


    //获取etl时间
    String getEtlTime(@Param("paramSQL") String paramSQL);

}
