package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 盒马销售明细表
 */
@Data
public class HmSalesDto {

    @Excel(name = "付款手机")
    private String buyerPhone;

    @Excel(name = "付款单号")
    private String payId;

    @Excel(name = "支付时间")
    private String payDate;

    @Excel(name = "支付金额")
    private String payFee;

    @Excel(name = "城市")
    private String city;

    @Excel(name = "门店")
    private String shopName;

    @Excel(name = "商品名称")
    private String goodsName;

    @Excel(name = "服务次数")
    private Integer serviceCount;

    @Excel(name = "服务时长")
    private Integer serviceTime;

    @Excel(name = "剩余服务次数")
    private Integer leaveCount;

    @Excel(name = "最近一次服务")
    private String lastSerTime;

    @Excel(name = "最近一次服务工单号")
    private String lastTradeNo;

    @Excel(name = "状态")
    private String status;

    @Excel(name = "退款日期")
    private String refundDate;

    @Excel(name = "导购员")
    private String guideName;

}
