package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 老客T+30续约率
 * 老客续约率：周期卡内最后一次服务完成后30天内，有未使用的、未预约的、履约中的订单
 */
@Data
public class ReportOldCustomerRebuy {

    @Excel(name = "城市")
    private String city;

    @Excel(name = "类型")
    private String type;

    @Excel(name = "本月完成周期工单数")
    private Integer total;

    @Excel(name = "最后一次周期工单数")
    private Integer lastd;

    @Excel(name = "续约单次")
    private Integer bj1;

    @Excel(name = "续约2次")
    private Integer bj2;

    @Excel(name = "续约4次")
    private Integer bj4;

    @Excel(name = "续约24次")
    private Integer bj24;

    @Excel(name = "续约48次")
    private Integer bj48;
}
