package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 各城市各服务站不同上线时长保洁师客诉率
 * @author 36952
 *
 */
@Data
public class CityBuzServiceorderNumberExport {

	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "服务站")
	private String station;
	
	@Excel(name = "一周")
	private String day7;
	
	@Excel(name = "一个月")
	private String day30;
	
	@Excel(name = "二个月")
	private String day60;
	
	@Excel(name = "三个月")
	private String day90;
	
	@Excel(name = "老保洁师")
	private String old;
	
	@Excel(name = "鲸选")
	private String jx;
	 
}
