package com.jzlife.report.dto.kaocf;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 花王-销售履约
 */
@Data
public class KaoCom {

    @Excel(name = "城市")
    private String city;

    @Excel(name = "预约日期")
    private String bookDate;

    @Excel(name = "订单渠道")
    private String orderChannel;

    @Excel(name = "购买商品")
    private String goodsName;

    @Excel(name = "预约次数")
    private Integer serviceTime;

    @Excel(name = "已完成次数")
    private Integer servicedTime;

    @Excel(name = "已完成服务GMV")
    private BigDecimal gmv;
}
