package com.jzlife.report.entity.hmorder;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ReportSignIn {
    private Integer id;

    private String batchNo;

    @ExcelProperty(value = "服务工单号", index = 0)
    private String bookTradeNo;

    @ExcelProperty(value = "技师名称", index = 1)
    private String servantName;

    @ExcelProperty(value = "服务站", index = 2)
    private String station;

    @ExcelProperty(value = "服务订单号", index = 3)
    private String bookOrderNo;

    @ExcelProperty(value = "一级分类", index = 4)
    private String goodsType;

    @ExcelProperty(value = "商品ID", index = 5)
    private String itemId;

    @ExcelProperty(value = "商品名称", index = 6)
    private String goodsName;

    @ExcelProperty(value = "供应商名称", index = 7)
    private String supplierName;

    @ExcelProperty(value = "工单状态", index = 8)
    private String status;


    @ExcelProperty(value = "预约开始时间", index = 9)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ExcelProperty(value = "到门时间", index = 10)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date ondoorTime;

    @ExcelProperty(value = "迟到分钟数", index = 11)
    private String lateMinute;

    @ExcelProperty(value = "到门情况", index = 12)
    private String ondoorStatus;


    @ExcelProperty(value = "预约结束时间", index = 13)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ExcelProperty(value = "服务已提供时间", index = 14)
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private Date allprovideTime;


    @ExcelProperty(value = "早退分钟数", index = 15)
    private String leaveMinute;


    @ExcelProperty(value = "离门情况", index = 16)
    private String leavedoorStatus;

    private Date createTime;

}
