package com.jzlife.report.entity.reports;

import java.util.Date;
import lombok.Data;

@Data
public class EtlTradeOrderBoard {
    private String bookTradeNo;

    private String city;

    /**
    * 鲸致服务驿站（worker库的sys_pose)
    */
    private Integer jzStationId;

    private String jzStation;

    /**
    * 盒马服务站
    */
    private String hmStationCode;

    private String hmStation;

    private String workerManager;

    private String workerNo;

    private String workerName;

    /**
    * 客户类型：新客 老客
    */
    private String cusType;

    /**
    * 服务单类型 散单 周期 品类 钟点工
    */
    private String tradeType;

    /**
    * 服务开始日期
    */
    private Date beginDate;

    private Date startTime;

    private Date endTime;

    /**
    * 是否复购
    */
    private Boolean isRebuy;

    /**
    * 是否为周期内最后一次服务
    */
    private Boolean isLast;

    /**
    * t+7复购商品
    */
    private String rebuyGoods;

    /**
    * 复购只有品类或周期卡 不存在单次或钟点工
    */
    private String rebuyGoodsType;

    /**
    * 复购事件
    */
    private Date rebuyTime;

    /**
    * 实际复购人
    */
    private String rebuyWorker;

    /**
    * 复购时间间隔 用来判断是t+7,t+30复购
    */
    private Integer rebuyDay;

    private Boolean isCross;

    /**
    * 品类 保洁 钟点工
    */
    private String crossGoodsType;

    private Date createTime;
}
