package com.jzlife.report.entity.reports;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;


@Data
@ApiModel(value = "SignAdnClockInfoByStationResult", description = "签到打卡服务站维度信息")
public class SignAdnClockInfoByStationResult implements Serializable {
    /**
     * 服务站名称
     */
    @ApiModelProperty(value = "服务站名称")
    private String stationName;

    /**
     * 迟到次数
     */
    @ApiModelProperty(value = "迟到次数")
    private Integer lateCount;

    /**
     * 过早到
     */
    @ApiModelProperty(value = "过早到")
    private Integer arriveEarlyCount;

    /**
     * 过晚结束
     */
    @ApiModelProperty(value = "过晚结束")
    private Integer leaveLateCount;

    /**
     * 早退
     */
    @ApiModelProperty(value = "早退")
    private Integer earlyCount;

    /**
     * 订单数
     */
    @ApiModelProperty(value = "订单数")
    private Integer orderCount;

    /**
     * 到门合格数
     */
    @ApiModelProperty(value = "到门合格数")
    private Integer indoorQualifierCount;

    /**
     *
     */
    @ApiModelProperty(value = "")
    private String ondoorQualifierRate;

    private static final long serialVersionUID = 1L;
}

