package com.jzlife.report.excelExport;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CitySale {


    /**
     * 城市
     */
    @Excel(name = "城市", width = 20)
    private String city;

    /**
     * 每日实销
     */
    @Excel(name = "每日实销", width = 20)
    private BigDecimal dayRealFee;

    /**
     * 每月实销
     */
    @Excel(name = "每月实销", width = 20)
    private BigDecimal monthRealFee;

    /**
     * 当月销售额
     */
    @Excel(name = "当月销售额", width = 20)
    private BigDecimal monthFee;

    /**
     *
     */
    @Excel(name = "当月退款", width = 20)
    private BigDecimal monthRefund;


}

