package com.jzlife.report.service.hmorder;

import java.util.List;

import com.jzlife.report.dto.excelimport.HmScheduleExcel;
import com.jzlife.report.dto.excelimport.HmScheduleOnleaveExcel;
import com.jzlife.report.entity.hmorder.ReportEvaluation;
import com.jzlife.report.entity.hmorder.ReportRebuy;
import com.jzlife.report.entity.hmorder.ReportSignIn;

public interface ImportExcelService {

	/**
	 * 评价
	 * @param datas
	 */
	void insertReportEvaluation(List<ReportEvaluation> datas);
	
	/**
	 * 复购
	 * @param datas
	 */
	void insertReportRebuy(List<ReportRebuy> datas);
	
	/**
	 * 打卡记录
	 * @param datas
	 */
	void insertReportSignIn(List<ReportSignIn> datas);
	
	/**
	 * 排班，请假
	 * @param schedulerList
	 * @param leaveList
	 */
	void insertScheduleAndOnleave(List<HmScheduleExcel> schedulerList,List<HmScheduleOnleaveExcel> leaveList);
}
