package com.jzlife.report.service.hmorder;

import java.util.List;
import java.util.Map;

import com.jzlife.report.dto.BuzLineKewordDto;
import com.jzlife.report.dto.HmSalesDto;
import com.jzlife.report.dto.SaleAppDto;
import com.jzlife.report.dto.export.CityProgressExportDto;
import com.jzlife.report.dto.export.SalesReportExport;
import com.jzlife.report.dto.export.ServiceGmvExport;

public interface SalesOrderExportService {

	Object selectLittleAppOrder(Integer pageNo, Integer pageSize, String startDate, String endDate, String channel,
										  String city, String levelOne, boolean isExport);

	Object selectChannelSales(Integer pageNo, Integer pageSize, String startDate, String endDate, String channel,
			String city, String levelOne,Boolean isExport);

	// 销售汇总
	Object salesSummary(Integer pageNo, Integer pageSize, String startDate, String endDate, String channel, String city,
			String levelOne);

	// 销售汇总导出
	List<SalesReportExport> salesSummaryExport(String startDate, String endDate, String channel, String city,
			String levelOne);

	Object serviceGMVCount(Integer pageNo, Integer pageSize, String startDate, String endDate, String city,
			String levelOne,Boolean isExport,String status,String channel);

	List<ServiceGmvExport> serviceGMVCountExport(String startDate, String endDate, String city, String levelOne,String status,String channel);

	Object monthSalesPlan(Integer pageNo, Integer pageSize, String startDate, String endDate, String city,
			String levelOne,Boolean isExport);

	Object notHMActualSales(String startDate, String endDate);

	Object selectClue(Integer pageNo, Integer pageSize, String startDate, String endDate, String resource, String city,
			String serviceModel,Boolean isExport);

	Object servantSignOrder(Integer pageNo, Integer pageSize, String startDate, String endDate, String city,
			String remark,String serviceModel,Boolean isExport);

	Object cluePayOrder(Integer pageNo, Integer pageSize, String startDate, String endDate,Boolean isExport);

	Object danpingzoushi(String startDate, String endDate, String city, String levelOne, String keyWord,String channel);

	List<CityProgressExportDto> cityProgress(String date,Boolean isExport);

	List<BuzLineKewordDto> getBuzLine();

	Object selectDiffOrder(Integer pageNo, Integer pageSize, String startDate, String endDate,Boolean isExport);


	List<HmSalesDto> selectHmSales(String startTime,String endTime,Integer pageNo, Integer pageSize, String buyerPhone, Boolean isExport);

}
