package com.jzlife.report.service.newreport;

import com.jzlife.report.dto.*;
import com.jzlife.report.vo.DayReportBaseVo;

import java.util.List;


public interface ServiceReportService {


    /**
     * 查看服务者薪资
     *
     * @param vo
     * @return
     */
    List<ReportServiceSalary> serviceSalaryList(DayReportBaseVo vo);

    /**
     * 服务力服务单次保洁后，7日内的复购情况
     *
     * @param vo
     * @return
     */
    List<ReportServiceRebuy> serviceRebuyList(DayReportBaseVo vo);

    /**
     * 服务力服务单次保洁后，7日内的详细
     *
     * @param vo
     * @return
     */
    List<ReportServiceRebuy> serviceRebuyDetailList(DayReportBaseVo vo);

    /**
     * 服务力服务品类后，7日内的详细
     *
     * @param vo
     * @return
     */
    List<ReportServiceRebuy> serviceRebuyPLDetailList(DayReportBaseVo vo);

    /**
     * 周期卡最后一次服务t+30复购
     *
     * @param vo
     * @return
     */
    List<ReportOldCustomerRebuyDetail> serviceOldCustomerRebuyDetailList(DayReportBaseVo vo);


    /**
     * 散单新客 返回首单服务时间及明细
     * @param vo
     * @return
     */
    List<ReportNewCustomerTradeDetail> serviceNewCustomerTradeDetail(DayReportBaseVo vo,String type);

    /**
     * 周期服务单明细
     * @param vo
     * @return
     */
    Object  serviceCycleTradeDetail(DayReportBaseVo vo ,Boolean isExport);

    /**
     * 获取报表原数据更新时间
     * @return
     */
    String getEtlTime();

}
