package com.jzlife.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class JzOrderAssignVo {

    @ApiModelProperty("查询开始日期,格式为：yyyy-MM-dd")
    @NotEmpty(message = "查询开始日期不能为空")
    private String startDay;

    @ApiModelProperty("查询结束日期,格式为：yyyy-MM-dd")
    @NotEmpty(message = "查询结束日期不能为空")
    private String endDay;

    @ApiModelProperty("加盟商名称")
    private String fraName;

    @ApiModelProperty("城市名")
    private String cityName;

    private Integer pageNo;

    private Integer pageSize;

    @ApiModelProperty("是否导出")
    private Boolean isExport;
}
