package com.jzlife.report.dao.douyin;

import com.jzlife.report.entity.douyin.AppPageLogData;
import com.jzlife.report.entity.douyin.DouyinPageData;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface DouyinPageDataMapper {

	void batchInsert(@Param("list") List<DouyinPageData> list);

	DouyinPageData getOnePageByDate(@Param("pageDate") String pageDate);

	List<DouyinPageData> getList(@Param("pageStartDate") String pageStartDate,
			@Param("pageEndDate") String pageEndDate);

	List<DouyinPageData> getPageData();

	List<AppPageLogData> getPageLog(@Param("start") String start,
			@Param("end") String end,@Param("goodsId")Integer goodsId,@Param("pageId")Integer pageId,@Param("eventId")Integer eventId);
	
	@Select("select id,name from crm_app_page_event where deleted=0 ")
	List<Map<Object, Object>> selectPageEvent();
	
	@Select("select * from crm_app_page where deleted=0 ")
	List<Map<Object, Object>> selectPage();
}
