package com.jzlife.report.dao.hmorder;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.jzlife.report.entity.hmorder.DiRScheduling;

public interface DiRSchedulingMapper {
	int deleteByPrimaryKey(Long id);

	int insert(DiRScheduling record);

	int insertSelective(DiRScheduling record);

	DiRScheduling selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(DiRScheduling record);

	int updateByPrimaryKey(DiRScheduling record);

	//更新电话TEL和默认
	int updateTelsAndDefaultBring();

	//过滤服务站未可用，或已停职的保洁师
	int updateStationFail(String dataTime);

	//过滤休息的保洁师
	int updateTeamNameRest(String dataTime);

	//查询存在保洁系统的保洁师
	List<String> findExitTel(String dataTime);

	//过滤不存在保洁系统的保洁师
	int updateNotInPhone(@Param("dataTime")String dataTime,@Param("phoneList")String phoneList);

	//某日的工时详情
	List<DiRScheduling>  selectDataByTime(@Param("dataTime")String dataTime,@Param("cityName")String cityName);

	//统计某日的总工时
	Double selectSumWorkTime(@Param("dataTime")String dataTime,@Param("cityName")String cityName);
}