package com.jzlife.report.dao.hmorder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface SalesContractMapper {

	
	/**
	 * 分配线索数，签单数
	 * @param city
	 * @param serviceModel  多个
	 * @param month 年月
	 * @return
	 */
	List<Map<String,Object>> getClueSignCount(@Param("city") String city, @Param("serviceModel") String serviceModel,
            @Param("month") String month);
	
	/**
	 * 退单数，合同收款
	 * @param city
	 * @param serviceModel
	 * @param month
	 * @return
	 */
	List<Map<String,Object>> getRefundOrder(@Param("city") String city, @Param("serviceModel") String serviceModel,
            @Param("month") String month);
	
	/**
	 * 30天成单率
	 * @param city
	 * @param startDate
	 * @param endDate
	 * @return
	 */
	BigDecimal chengdanlv(@Param("city") String city, @Param("startDate") String startDate,
            @Param("endDate") String endDate);
	
	/**
	 * 平均签单时长
	 * @param city
	 * @param startDate 2021-11-08 00:00:00
	 * @param endDate 2021-12-07 23:59:59
	 * @return
	 */
	BigDecimal pingjunqdsc(@Param("city") String city, @Param("startDate") String startDate,
            @Param("endDate") String endDate);
}
