package com.jzlife.report.dao.nurse;

import java.util.List;
import java.util.Map;

import com.jzlife.report.entity.nurse.SysUserauth;
import org.apache.ibatis.annotations.Param;


public interface SysUserauthMapper {
    int deleteByPrimaryKey(Long id);

    int insert(SysUserauth record);

    int insertSelective(SysUserauth record);

    SysUserauth selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SysUserauth record);

    int updateByPrimaryKey(SysUserauth record);

    List<SysUserauth> selectByUserId(Long userId);

    int deleteByUserId(Long userId);

    String getPrivilegeManByUserId(Integer userId);

    String getPrivilegeManCityByUserId(Integer userId);

    Map<String, String> getPrivilegeByUserIdAndType(@Param("userId") Integer userId, @Param("type") String type);
}
