package com.jzlife.report.dao.reports;

import com.jzlife.report.dto.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企微相关报表
 */
public interface CPMapper {

   //预采任务拨打数据
   List<CPPreCollectVo> selectPreCollect(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("campaignId") Integer campaignId);


   //企微添加数量
   List<CPJoinVo> selectCPJoin(@Param("startTime") String startTime, @Param("endTime") String endTime);


   //日常回访添加企微
   List<CPDailyCallVo> selectDailyCall(@Param("startTime") String startTime, @Param("endTime") String endTime,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);


   //企微添加人数汇总
   List<CPTotalVo> selectCPTotal(@Param("startTime") String startTime, @Param("endTime") String endTime,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);

   //企微添加人数明细
   List<CPDetailVo> selectCPDetail(@Param("startTime") String startTime, @Param("endTime") String endTime,@Param("pageIndex") Integer pageIndex,@Param("pageSize") Integer pageSize);



}
