package com.jzlife.report.dao.reports;

import com.jzlife.report.dto.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MarketReportMapper {

    //复购提醒报表；单日服务时 有没有复购
    List<ReportMarketRebuyRemind> sp_get_market_rebuy_remind_by_city(@Param("pageNum") int pageNum, @Param("pageSize") int pageSize, @Param("cityName") String city, @Param("bookDate") String bookDate);


    /**
     * 月订单及新客量
     * @param month
     * @return
     */
    List<ReportSalesNewcustomerV3> selectNewCusteomrByMonth(String month);


    /**
     * 新客首次服务后，复购率报表
     */
    List<ReportNewCustomerRebuy> selectNewCustomerRebuy(@Param("month") String month, @Param("cType") String cType, @Param("rebuy") String rebuy);


    /**
     * 老客续约率
     * @param month
     * @return
     */
    List<ReportOldCustomerRebuy> selectOldCustomerRebuy(String month);


    //保洁新客首次复购后T+7复购周期卡-复购率
    List<ReportNewCustomerRebuyBJTotal> reportNewCustomerRebuyBJTotal(@Param("month") String month);

    //202211双11活动
    List<ReportMarketActivity202211Dto> reportMarketActivity202211(@Param("type") Integer type);
    //202211双11活动
    List<ReportMarketActivityDetail202211Dto> reportMarketActivityDetail202211(@Param("type") Integer type);
}
