package com.jzlife.report.dao.reports;

import com.jzlife.report.dto.douyin.DouyinBoardBookVo;
import com.jzlife.report.dto.douyin.DouyinBoardSalesVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 服务gmv看板
 */
public interface ReportServerGmvBoardMapper {

    //查询当日销售
    DouyinBoardSalesVo getTodaySales(@Param("channel") String channel);

    //查询昨天的销售 用来比较
    Double getYesterdaySales(@Param("channel") String channel);

    //查询本月销售
    DouyinBoardSalesVo getMonthSales(@Param("channel") String channel);

    Double getLastMonthSales(@Param("channel") String channel);//查询上月gmv


    //获取近30天服务情况&单量+服务gmv(type=日维度 月维度）
    List<DouyinBoardBookVo> getServiceBookDataForLine(@Param("channel") String channel, @Param("type") String type);
}
