package com.jzlife.report.dto;


import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 日常回访加企微分析
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CPDailyCallVo {

    @Excel(name = "回访任务")
    private String 回访任务;

    @Excel(name = "日期")
    private String 日期;

    @Excel(name = "任务数量")
    private Integer 任务数量;

    @Excel(name = "已拨打")
    private Integer 已拨打;

    @Excel(name = "成功拨打")
    private Integer 成功拨打;

    @Excel(name = "加企微数量")
    private Integer 加企微数量;

    @Excel(name = "企微添加成功率")
    private String 企微添加成功率;

    @Excel(name = "单次保洁单量")
    private Integer 单次保洁单量;

    @Excel(name = "单次保洁拨打")
    private Integer 单次保洁拨打;

    @Excel(name = "单次保洁拨打成功")
    private Integer 单次保洁拨打成功;

    @Excel(name = "单次保洁加企微数量")
    private Integer 单次保洁加企微数量;

    @Excel(name = "周期保洁单量")
    private Integer 周期保洁单量;

    @Excel(name = "周期保洁拨打")
    private Integer 周期保洁拨打;

    @Excel(name = "周期保洁拨打成功")
    private Integer 周期保洁拨打成功;

    @Excel(name = "周期保洁加企微数量")
    private Integer 周期保洁加企微数量;

    private Integer rowTotal;//总行数：
}
