package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 预约维度的预约后退款
 */
@Data
public class RefundAfterBookDateDto {

    @Excel(name = "预约日期",width = 15)
    private String bookDate;

    @Excel(name = "渠道",width = 15)
    private String orderChannel;

    @Excel(name = "城市",width = 15)
    private String city;

    @Excel(name = "加盟商",width = 15)
    private String fraName;

    @Excel(name = "预约次数",width = 15)
    private Integer yyNum;

    @Excel(name = "服务已完成",width = 15)
    private String wcNum;

    @Excel(name = "服务已取消",width = 15)
    private Integer cancelNum;

    @Excel(name = "退款总数",width = 15)
    private Integer tkNum;

    @Excel(name = "预约后退款",width = 15)
    private Integer yyhTkNum;

    @Excel(name = "预约后1小时退款",width = 15)
    private Integer tkO;

    @Excel(name = "预约后1-4小时退款",width = 15)
    private Integer tkT;

    @Excel(name = "预约后4小时以上退款",width = 15)
    private Integer tkTh;

    @Excel(name = "服务开始后退款",width = 15)
    private Integer tkF;
}
