package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class RefundAfterReservationDto {
    @Excel(name = "下单日期",width = 15)
    private String createTime;

    @Excel(name = "渠道",width = 15)
    private String orderChannel;

    @Excel(name = "订单数量",width = 15)
    private Integer orderNum;

    @Excel(name = "预约订单数量",width = 15)
    private Integer yyNum;

    @Excel(name = "服务已完成",width = 15)
    private String wcNum;

    @Excel(name = "退款总数",width = 15)
    private Integer tkNum;

    @Excel(name = "预约后退款",width = 15)
    private Integer yyhTkNum;

    @Excel(name = "预约后1小时退款",width = 15)
    private Integer tkO;

    @Excel(name = "预约后1-4小时退款",width = 15)
    private Integer tkT;

    @Excel(name = "预约后4小时以上退款",width = 15)
    private Integer tkTh;

    @Excel(name = "服务开始后退款",width = 15)
    private Integer tkF;

    @Excel(name = "服务开始前4小时内退款",width = 20)
    private Integer fwInTh;

    @Excel(name = "服务开始前4小时外退款",width = 20)
    private Integer fwOutTh;

    @Excel(name = "前一晚21点后申请的次日早单的退款",width = 25)
    private Integer fwTom;
}
