package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 新客复购报表 T+0 T+7等
 */
@Data
public class ReportNewCustomerRebuy {

    @Excel(name = "类型")
    private String type;

    @Excel(name = "城市")
    private String city;


    @Excel(name = "驿站")
    private String jzStation;

    @Excel(name = "服务站")
    private String stationName;

    @Excel(name = "订单首次履约年月")
    private String beginMonth;

    @Excel(name = "新客首次履约用户数")
    private Integer total;

    @Excel(name = "新客首次履约后复购用户数")
    private Integer serviced;

    @Excel(name = "平均履约复购间隔天数")
    private BigDecimal avgDay;


    @Excel(name = "新客履约T+0复购")
    private Integer t0;

    @Excel(name = "新客履约T+7复购")
    private Integer t7;

    @Excel(name = "新客履约T+15复购")
    private Integer t15;

    @Excel(name = "新客履约T+30复购")
    private Integer t30;

    @Excel(name = "新客履约T+60复购")
    private Integer t60;

    @Excel(name = "新客履约T+90复购")
    private Integer t90;

    @Excel(name = "超90天复购")
    private Integer tOther;

}
