package com.jzlife.report.dto.douyin;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 私域核销预约报表
 *
 * 核销预约明细报表
 */
@Data
public class BookVerifyDetailVo {

    @Excel(name = "预约单编号",width = 10)
    private Integer detailId;

    @Excel(name = "预约单创建时间",width = 20)
    private String createTime;

    @Excel(name = "预约日期",width = 15)
    private String bookDate;

    @Excel(name = "预约状态",width = 15)
    private String status;

    @Excel(name = "订单编号",width = 15)
    private String orderSn;

    @Excel(name = "母单编号",width = 20)
    private String parentOrderSn;

    @Excel(name = "订单支付时间",width = 15)
    private String payTime;

    @Excel(name = "订单支付金额",width = 15)
    private String payAmount;

    @Excel(name = "订单渠道",width = 15)
    private String orderChannel;

    @Excel(name = "订单类型",width = 15)
    private String orderType;

    @Excel(name = "订单来源",width = 15)
    private String orderSource;

    @Excel(name = "服务类型",width = 15)
    private String serviceType;

    @Excel(name = "服务城市",width = 15)
    private String city;

    @Excel(name = "服务加盟商",width = 35)
    private String fraName;

    @Excel(name = "服务商品",width = 25)
    private String goodsName;

    @Excel(name = "需服务次数",width = 10)
    private Integer serviceCnt;

    @Excel(name = "服务GMV",width = 15)
    private BigDecimal amount;

    @Excel(name = "补差服务GMV",width = 10)
    private BigDecimal amountPlug;

}
