package com.jzlife.report.dto.douyin;


import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 核销明细报表 by 达人
 */
@Data
public class DouyinVerifyDetailByTanletVo {

    @Excel(name = "预约单编号",width = 8)
    private Integer detailId;

    @Excel(name = "预约单创建时间",width = 25)
    private String createTime;

    @Excel(name = "预约日期",width = 15)
    private String bookDate;

    @Excel(name = "客户Id",width = 10)
    private String cusId;

    @Excel(name = "订单Id",width = 10)
    private String orderId;

    @Excel(name = "订单支付时间",width = 20)
    private String payTime;

    @Excel(name = "订单支付金额",width = 10)
    private String payAmount;

    @Excel(name = "订单渠道",width = 15)
    private String orderChannel;

    @Excel(name = "订单类型",width = 15)
    private String orderType;

    @Excel(name = "订单来源",width = 15)
    private String orderSource;

    @Excel(name = "服务城市",width = 15)
    private String city;

    @Excel(name = "服务商品Id",width = 15)
    private String goodsId;

    @Excel(name = "服务商品",width = 15)
    private String goodsName;

    @Excel(name = "预约状态",width = 15)
    private String status;

    @Excel(name = "客户取消预约原因",width = 15)
    private String cancelReasonCus;

    @Excel(name = "商家取消预约原因",width = 15)
    private String cancelReasonBus;

    @Excel(name = "是否改约取消",width = 15)
    private String changeCancel;

    @Excel(name = "服务商",width = 15)
    private String provider;

    @Excel(name = "视频或直播间ID",width = 15)
    private String itemId;

    @Excel(name = "带货达人账号",width = 15)
    private String tanletId;

    @Excel(name = "达人名称",width = 15)
    private String tanletName;

    @Excel(name = "核销金额",width = 15)
    private BigDecimal amount;

}
