package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 月销售进度回溯
 * @author lurz
 *
 */
@Data
public class MonthSalesPlanExportDto {
	
	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "一级分类")
	private String levelOne;
	
	@Excel(name = "关键字")
	private String keyWord;
	
	@Excel(name = "目标")
	private String setGoal;
	
	@Excel(name = "进度")
	private String jingdu;
	
	@Excel(name = "销售额")
	private String payFee;
	
	@Excel(name = "退款额")
	private String refundFee;
	
	@Excel(name = "对比上月")
	private String lastPeriod;
	
	@Excel(name = "对比前日")
	private String lastdayFee;
	
	@Excel(name = "开单占比")
	private String kaidanzb;
	
	@Excel(name = "当月实销")
	private String dangyueshixiao;
	
	@Excel(name = "当日实销")
	private String todayFee;
	
	@Excel(name = "开单金额")
	private String introFee;
	
	@Excel(name = "开单数量")
	private String introCount;
	
	@Excel(name = "销售单量")
	private String payCount;
	
	@Excel(name = "退款单量")
	private String refundCount;
	
	@Excel(name = "销售日期")
	private String actionDate;

}
