package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class SelectClueDtoExport {

	@Excel(name = "线索编号")
	private String clueNo;
	
	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "服务模式")
	private String serviceModel;
	
	@Excel(name = "保姆来源")
	private String resource;
	
	@Excel(name = "状态")
	private String state;
	
	@Excel(name = "区分")
	private String difference;
	
	@Excel(name = "是否有效分配",replace = {"是_1", "否_0"})//
	private String effectiveDistribution;
	
	@Excel(name = "线索合伙人")
	private String clueAllcationName;
	
	@Excel(name = "分配日期")
	private String allocationTime;
	
	@Excel(name = "月份")
	private String month;
	
	@Excel(name = "创建日期")
	private String createTime;
	 
}
