package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 各城市业务线在职情况
 * @author 36952
 *
 */
@Data
public class StockStationPersonExportDto {

	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "服务者类型")
	private String workType;
	
	@Excel(name = "服务站数量")
	private String stationCont;
	
	@Excel(name = "在职人数")
	private String nowPecsCount;
	
	@Excel(name = "上月同期人数")
	private String monthPecsCount;
	
	@Excel(name = "去年同期人数")
	private String yearPecsCount;
	
	@Excel(name = "月环比")
	private String montHb;
	
	@Excel(name = "月同比")
	private String monthTb;
	 
	 
}
