package com.jzlife.report.entity.douyin;

import java.util.Date;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class AppPageLogData {
	private Integer id;
	
	@Excel(name = "操作事件")
	private Object eventName;
	@Excel(name = "页面")
	private Object pageName;
	
	@Excel(name = "goodsId")
	private Object goodsId;
	
	@Excel(name = "商品名称")
	private Object goodsName;
	
	@Excel(name = "skuId")
	private Object skuId;
	
	@Excel(name = "规格")
	private Object skuName;
	
	@Excel(name = "订单Id或编号")
	private Object orderId;
	
	@Excel(name = "时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	
	@Excel(name = "用户标识")
	private String userOpenid;
	@Excel(name = "页面停留时长")
	private Integer remainDuration;

}
