package com.jzlife.report.entity.douyin;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 抖音页面分析数据
 */
@Data
public class DouyinPageData {

    private Integer id;

    @Excel(name = "浏览日期", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private Date pageDate;

    @Excel(name = "页面路径")
    private String page;

    @Excel(name = "页面名")
    private String pageName;
    @Excel(name = "访问人数")
    private Integer pageUv;
    @Excel(name = "平均停留时长(毫秒)")
    private double pageAvgStayTime;
    @Excel(name = "分享次数")
    private Integer pageShareTime;



}
