package com.jzlife.report.entity.reports;


import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;


@Data
@ApiModel(value = "EvaluationInfoDetailResult", description = "服务站每日信息")
public class EvaluationInfoDetailResult implements Serializable {
    /**
     * 预约日期
     */
    @ApiModelProperty(value = "预约日期")
    @Excel(name = "预约日期", width = 20)
    private String searchDay;

    /**
     * 城市
     */
    @ApiModelProperty(value = "城市")
    @Excel(name = "城市", width = 20)
    private String city;

    /**
     * 服务站名称
     */
    @ApiModelProperty(value = "服务站名称")
    @Excel(name = "服务站名称", width = 20)
    private String stationName;

    /**
     * 当日可评价数
     */
    @ApiModelProperty(value = "当日可评价数")
    @Excel(name = "当日可评价数", width = 20)
    private Integer currentDayCanEvaluationCount;

    /**
     * 当日参评率
     */
    @ApiModelProperty(value = "当日参评率")
    @Excel(name = "当日参评率", width = 20)
    private String currentDayEvaluationRate;

    /**
     *当日好评率
     */
    @ApiModelProperty(value = "当日好评率")
    @Excel(name = "当日好评率", width = 20)
    private String currentDayGoodEvaluationRate;

    private static final long serialVersionUID = 1L;
}

