package com.jzlife.report.excelExport;

import java.math.BigDecimal;
import java.util.Date;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class SignBillPerson {

    @Excel(name = "城市",width = 20)
    private String city;

    /**
    * 导购姓名
    */
    @Excel(name = "导购姓名",width = 20)
    private String nannyName;



    /**
    * 当日分配线索数
    */
    @Excel(name = "当日分配线索数",width = 20)
    private Integer currentDayAllotNum;

    /**
    * 当月分配线索数
    */
    @Excel(name = "当月分配线索数",width = 20)
    private Integer currentMonthAllotNum;

    /**
    * 一年内分配线索数
    */
    @Excel(name = "一年内分配线索数",width = 20)
    private Integer oneYearAllotNum;

    /**
    * 当日签约数
    */
    @Excel(name = "当日签约数",width = 20)
    private Integer currentDayContractNum;

    /**
    * 当日签约金额
    */
    @Excel(name = "当日签约金额",width = 20)
    private BigDecimal currentDayContractAmont;

    /**
    * 当月签约数
    */
    @Excel(name = "当月签约数",width = 20)
    private Integer currentMonthContractNum;

//    /**
//    * 当月签约金额
//    */
//    @Excel(name = "当月签约金额",width = 20)
//    private BigDecimal currentMonthContractAmont;

    /**
    * 当月退款金额
    */
    @Excel(name = "当月退款金额",width = 20)
    private BigDecimal currentMonthRefundAmount;

    /**
    * 当月实际金额(签约金额-退款金额)
    */
    @Excel(name = "当月实际金额",width = 20)
    private BigDecimal currentMoenthRealAmont;

    /**
    * 当月转化率
    */
    @Excel(name = "当月转化率",width = 20)
    private String currentMonthConversionRate;

    /**
    * 当月客单价
    */
    @Excel(name = "当月客单价",width = 20)
    private BigDecimal currentMonthCustomerPrice;

    /**
    * 转介绍签约数
    */
    @Excel(name = "转介绍签约数",width = 20)
    private Integer transferContractNum;

//    /**
//    * 转介绍签约金额
//    */
//    @Excel(name = "转介绍签约金额",width = 20)
//    private BigDecimal transferContractAmount;
//
//    /**
//    * 转介绍退款金额
//    */
//    @Excel(name = "转介绍退款金额",width = 20)
//    private BigDecimal referRefundAmount;

    /**
    * 转介绍实际金额(签约金额-退款金额)
    */
    @Excel(name = "转介绍实际金额",width = 20)
    private BigDecimal referRealAmount;

    /**
    * 转介绍占比
    */
    @Excel(name = "转介绍占比",width = 20)
    private String transferContractRate;
}
