package com.jzlife.report.service;

import com.github.pagehelper.PageInfo;
import com.jzlife.report.dto.export.SelfRebuyDetailDTO;
import com.jzlife.report.vo.ReBuyDetailVo;
import com.jzlife.report.vo.ReBuyQueryVo;
import com.jzlife.report.vo.SelfReBuyQueryVo;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutionException;

public interface ReBuy2Service {
    Map<String, Object> reBuyLine(ReBuyQueryVo vo);

    Object reBuyDetail(ReBuyDetailVo vo);

    void cleanRedisCacheFun();

    List<Map<String, Object>> bookTradeOrderHistory(String bookTradeOrder);

    Object selfReBuyLine(SelfReBuyQueryVo vo) throws ExecutionException, InterruptedException;

    Object getFraList();

    PageInfo<SelfRebuyDetailDTO> selfReBuyDetailPage(SelfReBuyQueryVo vo);

    List<SelfRebuyDetailDTO> selfReBuyDetailNoPage(SelfReBuyQueryVo vo);
}
