package com.jzlife.report.service.newreport.impl;

import com.github.pagehelper.PageHelper;
import com.jzlife.report.dao.logRecord.ExportLogRecordMapper;
import com.jzlife.report.dto.SysExportLogDto;
import com.jzlife.report.service.ExportLogRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

@Service
public class ExportLogRecordServiceImpl implements ExportLogRecordService {

    @Resource
    private ExportLogRecordMapper exportLogRecordMapper;

    @Override
    public void logRecord(SysExportLogDto dto) {
        exportLogRecordMapper.logRecord(dto);
    }

    @Override
    public List<SysExportLogDto> selectByTime(String startTime, String endTime, Integer pageIndex, Integer pageSize) {

        PageHelper.startPage(pageIndex, pageSize);
        return exportLogRecordMapper.selectByTime(startTime, endTime);
    }
}
