package com.jzlife.report.service.report;

import com.jzlife.report.dto.CPDailyCallVo;
import com.jzlife.report.dto.CPDetailVo;
import com.jzlife.report.dto.CPPreCollectVo;
import com.jzlife.report.dto.CPTotalVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企微报表服务
 */
public interface CPService {
    //预采任务
    Object reportPreCollect(String startTime,String endTime,Integer campaignId,Integer pageIndex,Integer pageSize);

    //员工企微添加数量
    Object reportCPJoin(String startTime,String endTime);

    //日常回访添加企微
    List<CPDailyCallVo> reportCPDailyCall(String startTime, String endTime, Integer pageIndex, Integer pageSize);

    //企微添加人数汇总
    List<CPTotalVo> selectCPTotal(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("pageIndex") Integer pageIndex, @Param("pageSize") Integer pageSize);


    //企微添加人数明细
    List<CPDetailVo> selectCPDetail(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("pageIndex") Integer pageIndex, @Param("pageSize") Integer pageSize);

}
