package com.jzlife.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class SelfReBuyQueryVo {

    @ApiModelProperty(value = "城市名称", notes = "支持多个城市，多个城市用【,】分开")
    private String cityList;

    @ApiModelProperty("加盟商名称")
    private String fraName;

    @ApiModelProperty("月份,格式yyyy-MM")
    private String month;

    private Integer userId;

    @ApiModelProperty("原订单类型 单次 周期")
    private String orignalType;

    @ApiModelProperty("复购订单类型 单次 周期")
    private String rebuyType;

    @ApiModelProperty("是否复购 0:否 1:是")
    private Boolean isRebuy;

    @ApiModelProperty("复购开始时间")
    private String startDate;

    @ApiModelProperty("复购结束时间")
    private String endDate;

    @ApiModelProperty("是否导出")
    private Boolean isExport;

    private Integer pageNo;

    private Integer pageSize;
}
